%global namedreltag .Final-redhat-1
%global brewreltag .Final_redhat_1
%global namedversion %{version}%{?namedreltag}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 1.0.3.Final-redhat-1

Name:    jboss-remote-naming
Version: 1.0.3
Release: 1%{brewreltag}%{?dist}
Summary: Library for remote naming (JNDI) with JBoss AS
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss-jboss-remote-naming-1.0.3.Final-redhat-1-sources.zip
Source102: jboss-remote-naming-1.0.3.Final-redhat-1-sources.jar
Source103: jboss-remote-naming-1.0.3.Final-redhat-1.jar
Source104: jboss-remote-naming-1.0.3.Final-redhat-1.pom
Source105: jboss-remote-naming-1.0.3.Final-redhat-1-javadoc.jar
%endif

License: Open Source
URL:     https://github.com/jbossas/jboss-remote-naming.git
Epoch:   0

%if %without mead
# git clone git://git.app.eng.bos.redhat.com/jbossas/jboss-remote-naming.git
# cd jboss-remote-naming && git checkout 1.0.3.Final && cd ..
# tar cjf jboss-remote-naming-1.0.3.Final-src.tar.bz2 jboss-remote-naming
Source0: 	%{name}-%{version}.Final-src.tar.bz2
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot
%if %without mead
BuildRequires:  jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-parent
%endif

Requires:  jboss-ejb-client
Requires:  jboss-marshalling
Requires:  jboss-xnio-base
Requires:  jboss-remoting3
Requires:  jboss-sasl
Requires:  jboss-logging
#Requires:  jboss-logging-tools

%description
Library for remote naming (JNDI) with JBoss AS.

%if %without mead
%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
mvn-rpmbuild install javadoc:aggregate
%endif

%install
# On RHEL-6 the signed JARs are on a different place
export JPP_SIGNED=2

# JARS
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
%if %without mead
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.*ar`; do
cp -p $i $RPM_BUILD_ROOT%{_javadir}/
done
popd
%else
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.*ar`; do 
    cp -p $i $RPM_BUILD_ROOT%{_javadir}/
done
popd
%endif

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *.jar; do ln -sf ${jar} `echo ${jar}|sed -s "s/-%{namedversion}//"`; done)

# POMS
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
%if %without mead
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.pom`; do
    cp -p $i $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}
    %add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}
done
popd
%else
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.pom`; do 
    cp -p $i $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}
    %add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}
done
popd
%endif

%clean
rm -Rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/
%{_javadir}*/*ar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %without mead
%files javadoc
%{_javadocdir}/%{name}
%endif

%changelog
* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final-redhat-1

* Tue Mar 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.3
- Rebuild to fix symlinks

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.2
- Remove R: jboss-logging-tools
- Upgrade to new wrapper

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.1
- First build
